<?php
$tdatapro_det_premio = array();
$tdatapro_det_premio[".searchableFields"] = array();
$tdatapro_det_premio[".ShortName"] = "pro_det_premio";
$tdatapro_det_premio[".OwnerID"] = "";
$tdatapro_det_premio[".OriginalTable"] = "pro_det_premio";


$tdatapro_det_premio[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatapro_det_premio[".originalPagesByType"] = $tdatapro_det_premio[".pagesByType"];
$tdatapro_det_premio[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatapro_det_premio[".originalPages"] = $tdatapro_det_premio[".pages"];
$tdatapro_det_premio[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatapro_det_premio[".originalDefaultPages"] = $tdatapro_det_premio[".defaultPages"];

//	field labels
$fieldLabelspro_det_premio = array();
$fieldToolTipspro_det_premio = array();
$pageTitlespro_det_premio = array();
$placeHolderspro_det_premio = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspro_det_premio["Spanish"] = array();
	$fieldToolTipspro_det_premio["Spanish"] = array();
	$placeHolderspro_det_premio["Spanish"] = array();
	$pageTitlespro_det_premio["Spanish"] = array();
	$fieldLabelspro_det_premio["Spanish"]["cantidad_max"] = "Cantidad Max";
	$fieldToolTipspro_det_premio["Spanish"]["cantidad_max"] = "";
	$placeHolderspro_det_premio["Spanish"]["cantidad_max"] = "";
	$fieldLabelspro_det_premio["Spanish"]["cantidad_min"] = "Cantidad Min";
	$fieldToolTipspro_det_premio["Spanish"]["cantidad_min"] = "";
	$placeHolderspro_det_premio["Spanish"]["cantidad_min"] = "";
	$fieldLabelspro_det_premio["Spanish"]["id_det_premio"] = "Id Det Premio";
	$fieldToolTipspro_det_premio["Spanish"]["id_det_premio"] = "";
	$placeHolderspro_det_premio["Spanish"]["id_det_premio"] = "";
	$fieldLabelspro_det_premio["Spanish"]["id_premio"] = "Id Premio";
	$fieldToolTipspro_det_premio["Spanish"]["id_premio"] = "";
	$placeHolderspro_det_premio["Spanish"]["id_premio"] = "";
	$fieldLabelspro_det_premio["Spanish"]["tipo_vehiculo"] = "Tipo Vehiculo";
	$fieldToolTipspro_det_premio["Spanish"]["tipo_vehiculo"] = "";
	$placeHolderspro_det_premio["Spanish"]["tipo_vehiculo"] = "";
	if (count($fieldToolTipspro_det_premio["Spanish"]))
		$tdatapro_det_premio[".isUseToolTips"] = true;
}


	$tdatapro_det_premio[".NCSearch"] = true;



$tdatapro_det_premio[".shortTableName"] = "pro_det_premio";
$tdatapro_det_premio[".nSecOptions"] = 0;

$tdatapro_det_premio[".mainTableOwnerID"] = "";
$tdatapro_det_premio[".entityType"] = 0;
$tdatapro_det_premio[".connId"] = "bsn_dividendos_at_localhost";


$tdatapro_det_premio[".strOriginalTableName"] = "pro_det_premio";

	



$tdatapro_det_premio[".showAddInPopup"] = false;

$tdatapro_det_premio[".showEditInPopup"] = false;

$tdatapro_det_premio[".showViewInPopup"] = false;

$tdatapro_det_premio[".listAjax"] = false;
//	temporary
//$tdatapro_det_premio[".listAjax"] = false;

	$tdatapro_det_premio[".audit"] = true;

	$tdatapro_det_premio[".locking"] = true;


$pages = $tdatapro_det_premio[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapro_det_premio[".edit"] = true;
	$tdatapro_det_premio[".afterEditAction"] = 1;
	$tdatapro_det_premio[".closePopupAfterEdit"] = 1;
	$tdatapro_det_premio[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapro_det_premio[".add"] = true;
$tdatapro_det_premio[".afterAddAction"] = 1;
$tdatapro_det_premio[".closePopupAfterAdd"] = 1;
$tdatapro_det_premio[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapro_det_premio[".list"] = true;
}



$tdatapro_det_premio[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapro_det_premio[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapro_det_premio[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapro_det_premio[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapro_det_premio[".printFriendly"] = true;
}



$tdatapro_det_premio[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapro_det_premio[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapro_det_premio[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapro_det_premio[".isUseAjaxSuggest"] = true;



																																																																		

$tdatapro_det_premio[".ajaxCodeSnippetAdded"] = false;

$tdatapro_det_premio[".buttonsAdded"] = false;

$tdatapro_det_premio[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapro_det_premio[".isUseTimeForSearch"] = false;


$tdatapro_det_premio[".badgeColor"] = "6493ea";


$tdatapro_det_premio[".allSearchFields"] = array();
$tdatapro_det_premio[".filterFields"] = array();
$tdatapro_det_premio[".requiredSearchFields"] = array();

$tdatapro_det_premio[".googleLikeFields"] = array();
$tdatapro_det_premio[".googleLikeFields"][] = "cantidad_max";
$tdatapro_det_premio[".googleLikeFields"][] = "cantidad_min";
$tdatapro_det_premio[".googleLikeFields"][] = "id_det_premio";
$tdatapro_det_premio[".googleLikeFields"][] = "id_premio";
$tdatapro_det_premio[".googleLikeFields"][] = "tipo_vehiculo";



$tdatapro_det_premio[".tableType"] = "list";

$tdatapro_det_premio[".printerPageOrientation"] = 0;
$tdatapro_det_premio[".nPrinterPageScale"] = 100;

$tdatapro_det_premio[".nPrinterSplitRecords"] = 40;

$tdatapro_det_premio[".geocodingEnabled"] = false;










$tdatapro_det_premio[".pageSize"] = 30;

$tdatapro_det_premio[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatapro_det_premio[".strOrderBy"] = $tstrOrderBy;

$tdatapro_det_premio[".orderindexes"] = array();


$tdatapro_det_premio[".sqlHead"] = "SELECT cantidad_max,  	cantidad_min,  	id_det_premio,  	id_premio,  	tipo_vehiculo";
$tdatapro_det_premio[".sqlFrom"] = "FROM pro_det_premio";
$tdatapro_det_premio[".sqlWhereExpr"] = "";
$tdatapro_det_premio[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapro_det_premio[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapro_det_premio[".arrGroupsPerPage"] = $arrGPP;

$tdatapro_det_premio[".highlightSearchResults"] = true;

$tableKeyspro_det_premio = array();
$tableKeyspro_det_premio[] = "id_det_premio";
$tdatapro_det_premio[".Keys"] = $tableKeyspro_det_premio;


$tdatapro_det_premio[".hideMobileList"] = array();




//	cantidad_max
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "cantidad_max";
	$fdata["GoodName"] = "cantidad_max";
	$fdata["ownerTable"] = "pro_det_premio";
	$fdata["Label"] = GetFieldLabel("pro_det_premio","cantidad_max");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "cantidad_max";

		$fdata["sourceSingle"] = "cantidad_max";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cantidad_max";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_det_premio["cantidad_max"] = $fdata;
		$tdatapro_det_premio[".searchableFields"][] = "cantidad_max";
//	cantidad_min
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "cantidad_min";
	$fdata["GoodName"] = "cantidad_min";
	$fdata["ownerTable"] = "pro_det_premio";
	$fdata["Label"] = GetFieldLabel("pro_det_premio","cantidad_min");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "cantidad_min";

		$fdata["sourceSingle"] = "cantidad_min";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cantidad_min";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_det_premio["cantidad_min"] = $fdata;
		$tdatapro_det_premio[".searchableFields"][] = "cantidad_min";
//	id_det_premio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "id_det_premio";
	$fdata["GoodName"] = "id_det_premio";
	$fdata["ownerTable"] = "pro_det_premio";
	$fdata["Label"] = GetFieldLabel("pro_det_premio","id_det_premio");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_det_premio";

		$fdata["sourceSingle"] = "id_det_premio";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_det_premio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_det_premio["id_det_premio"] = $fdata;
		$tdatapro_det_premio[".searchableFields"][] = "id_det_premio";
//	id_premio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "id_premio";
	$fdata["GoodName"] = "id_premio";
	$fdata["ownerTable"] = "pro_det_premio";
	$fdata["Label"] = GetFieldLabel("pro_det_premio","id_premio");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_premio";

		$fdata["sourceSingle"] = "id_premio";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_premio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_det_premio["id_premio"] = $fdata;
		$tdatapro_det_premio[".searchableFields"][] = "id_premio";
//	tipo_vehiculo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "tipo_vehiculo";
	$fdata["GoodName"] = "tipo_vehiculo";
	$fdata["ownerTable"] = "pro_det_premio";
	$fdata["Label"] = GetFieldLabel("pro_det_premio","tipo_vehiculo");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "tipo_vehiculo";

		$fdata["sourceSingle"] = "tipo_vehiculo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo_vehiculo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "valor like 'TIPO_VEHICULO'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_det_premio["tipo_vehiculo"] = $fdata;
		$tdatapro_det_premio[".searchableFields"][] = "tipo_vehiculo";


$tables_data["pro_det_premio"]=&$tdatapro_det_premio;
$field_labels["pro_det_premio"] = &$fieldLabelspro_det_premio;
$fieldToolTips["pro_det_premio"] = &$fieldToolTipspro_det_premio;
$placeHolders["pro_det_premio"] = &$placeHolderspro_det_premio;
$page_titles["pro_det_premio"] = &$pageTitlespro_det_premio;


changeTextControlsToDate( "pro_det_premio" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["pro_det_premio"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["pro_det_premio"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="pro_premio";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="pro_premio";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "pro_premio";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["pro_det_premio"][0] = $masterParams;
				$masterTablesData["pro_det_premio"][0]["masterKeys"] = array();
	$masterTablesData["pro_det_premio"][0]["masterKeys"][]="id_premio";
				$masterTablesData["pro_det_premio"][0]["detailKeys"] = array();
	$masterTablesData["pro_det_premio"][0]["detailKeys"][]="id_premio";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pro_det_premio()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "cantidad_max,  	cantidad_min,  	id_det_premio,  	id_premio,  	tipo_vehiculo";
$proto0["m_strFrom"] = "FROM pro_det_premio";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "cantidad_max",
	"m_strTable" => "pro_det_premio",
	"m_srcTableName" => "pro_det_premio"
));

$proto6["m_sql"] = "cantidad_max";
$proto6["m_srcTableName"] = "pro_det_premio";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "cantidad_min",
	"m_strTable" => "pro_det_premio",
	"m_srcTableName" => "pro_det_premio"
));

$proto8["m_sql"] = "cantidad_min";
$proto8["m_srcTableName"] = "pro_det_premio";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "id_det_premio",
	"m_strTable" => "pro_det_premio",
	"m_srcTableName" => "pro_det_premio"
));

$proto10["m_sql"] = "id_det_premio";
$proto10["m_srcTableName"] = "pro_det_premio";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "id_premio",
	"m_strTable" => "pro_det_premio",
	"m_srcTableName" => "pro_det_premio"
));

$proto12["m_sql"] = "id_premio";
$proto12["m_srcTableName"] = "pro_det_premio";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_vehiculo",
	"m_strTable" => "pro_det_premio",
	"m_srcTableName" => "pro_det_premio"
));

$proto14["m_sql"] = "tipo_vehiculo";
$proto14["m_srcTableName"] = "pro_det_premio";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "pro_det_premio";
$proto17["m_srcTableName"] = "pro_det_premio";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "cantidad_max";
$proto17["m_columns"][] = "cantidad_min";
$proto17["m_columns"][] = "id_det_premio";
$proto17["m_columns"][] = "id_premio";
$proto17["m_columns"][] = "tipo_vehiculo";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "pro_det_premio";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "pro_det_premio";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="pro_det_premio";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pro_det_premio = createSqlQuery_pro_det_premio();


	
		;

					

$tdatapro_det_premio[".sqlquery"] = $queryData_pro_det_premio;



$tdatapro_det_premio[".hasEvents"] = false;

?>